"use strict";
var Tsconfig = require("tsconfig");
function tsConfigLoader(_a) {
    var getEnv = _a.getEnv, cwd = _a.cwd, _b = _a.loadSync, loadSync = _b === void 0 ? loadSyncDefault : _b;
    var TS_NODE_PROJECT = getEnv("TS_NODE_PROJECT");
    // tsconfig.loadSync handles if TS_NODE_PROJECT is a file or directory
    var loadResult = loadSync(cwd, TS_NODE_PROJECT);
    return loadResult;
}
exports.tsConfigLoader = tsConfigLoader;
function loadSyncDefault(cwd, filename) {
    // Tsconfig.loadSync uses path.resolve. This is why we can use an absolute path as filename
    var loadResult = Tsconfig.loadSync(cwd, filename);
    return {
        tsConfigPath: loadResult.path,
        baseUrl: loadResult.config.compilerOptions.baseUrl,
        paths: loadResult.config.compilerOptions.paths
    };
}
